var PinboxExtension = function() {};

PinboxExtension.prototype = {
  run: function(arguments) {
      var description = document.querySelector("meta[name='description']");
      if (description) {
          description = description.getAttribute("content");
      }
      
      arguments.completionFunction({"baseURI" : document.baseURI, "title" : document.title, "description" : description});
  }
}

var ExtensionPreprocessingJS = new PinboxExtension;
